local STRINGS = GLOBAL.STRINGS

STRINGS.NAMES.HAT_APPLE = "Applejack's Hat"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.HAT_APPLE = "YEA~Ha"

PrefabFiles = {
	"applejack",
	"hat_apple",
}

Assets = {
        Asset( "IMAGE", "images/saveslot_portraits/applejack.tex" ),
        Asset( "IMAGE", "images/selectscreen_portraits/applejack.tex" ),
        Asset( "IMAGE", "images/selectscreen_portraits/applejack_silho.tex" ),
        Asset( "IMAGE", "bigportraits/applejack.tex" ),
        Asset( "ATLAS", "images/saveslot_portraits/applejack.xml" ), 
        Asset( "ATLAS", "images/selectscreen_portraits/applejack.xml" ),
        Asset( "ATLAS", "images/selectscreen_portraits/applejack_silho.xml" ),
        Asset( "ATLAS", "bigportraits/applejack.xml" ),
}

GetPlayer = GLOBAL.GetPlayer

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS


GLOBAL.STRINGS.CHARACTER_TITLES.applejack = "applejack"
GLOBAL.STRINGS.CHARACTER_NAMES.applejack = "applejack"
GLOBAL.STRINGS.CHARACTER_DESCRIPTIONS.applejack = "applejack"
GLOBAL.STRINGS.CHARACTER_QUOTES.applejack = "\"I am a blank slate.\""
GLOBAL.STRINGS.CHARACTERS.WOD = {}
GLOBAL.STRINGS.CHARACTERS.WOD.DESCRIBE = {}
GLOBAL.STRINGS.CHARACTERS.WOD.DESCRIBE.EVERGREEN = "A template description of a tree."


table.insert(GLOBAL.CHARACTER_GENDERS.FEMALE, "applejack")


------------

local forbidden_foodset = {
	tallbirdegg = true,
	tallbirdegg_cooked = true,
}

function pickyeater(inst)
    if inst.prefab == "applejack" then
        inst.components.eater:SetCanEatTestFn(function(inst, food)
            return not food.prefab or not forbidden_foodset[food.prefab]
        end)
    end
end

AddSimPostInit(pickyeater)
AddModCharacter("applejack")